Inventory - Bulk Reconciliation
curl --request POST \
--url https://api.skulabs.com/inventory/bulk_reconciliation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{
"location_id": "<string>",
"item_id": "<string>",
"quantity": 123,
"reason": "<string>",
"notes": "<string>"
}
],
"reason": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.skulabs.com/inventory/bulk_reconciliation"
payload = {
"rows": [
{
"location_id": "<string>",
"item_id": "<string>",
"quantity": 123,
"reason": "<string>",
"notes": "<string>"
}
],
"reason": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rows: [
{
location_id: '<string>',
item_id: '<string>',
quantity: 123,
reason: '<string>',
notes: '<string>'
}
],
reason: '<string>',
notes: '<string>'
})
};
fetch('https://api.skulabs.com/inventory/bulk_reconciliation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Inventory
Inventory - Bulk Reconciliation
Reconcile inventory quantities in bulk, adjusting on-hand counts to match physical counts.
POST
/
inventory
/
bulk_reconciliation
Inventory - Bulk Reconciliation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Reconciliation type. "increase" adds to on-hand, "decrease" subtracts, "set" sets an exact value, "update" sets an exact value with per-row reason/notes.
Available options:
increase, decrease, set, update Array of reconciliation row objects
Show child attributes
Show child attributes
Reason for reconciliation (used for increase, decrease, set types)
Additional notes (used for increase, decrease, set types)
Response
Reconciliation completed
Whether the operation succeeded
⌘I